Orxonox: OIS::MacMouse Class Reference

# OIS::MacMouse Class Reference

`#include <src/ois/mac/MacMouse.h>`

Inheritance diagram for OIS::MacMouse:

List of all members.

## Public Member Functions

virtual void | _initialize ()
void | _mouseCallback (EventRef theEvent)
virtual void | capture ()
| MacMouse (InputManager *creator, bool buffered)
virtual Interface * | queryInterface (Interface::IType type)
virtual void | setBuffered (bool buffered)
virtual | ~MacMouse ()

## Static Protected Member Functions

static OSStatus | WindowFocusChanged (EventHandlerCallRef nextHandler, EventRef event, void *macMouse)

## Protected Attributes

bool | mMouseWarped
bool | mNeedsToRegainFocus
EventHandlerRef | mouseEventRef
EventHandlerUPP | mouseUPP
MouseState | mTempState
EventHandlerRef | mWindowFocusHandler
EventHandlerUPP | mWindowFocusListener

## Constructor & Destructor Documentation

MacMouse::MacMouse | ( | InputManager * | creator,
|  | bool | buffered |
| ) |  |  |

References OIS::Object::mCreator, mouseEventRef, mouseUPP, MouseWrapper(), mWindowFocusHandler, mWindowFocusListener, and WindowFocusChanged().

MacMouse::~MacMouse | ( |  | ) | `[virtual]`

References OIS::Object::mCreator, mouseEventRef, mouseUPP, mWindowFocusHandler, and mWindowFocusListener.

## Member Function Documentation

void MacMouse::_initialize | ( |  | ) | `[virtual]`

Remarks:
  Internal... Do not call this directly.

Implements OIS::Object.

References OIS::MacInputManager::_getWindow(), OIS::MouseState::clear(), OIS::E_General, OIS::Object::mCreator, mMouseWarped, mNeedsToRegainFocus, mouseEventRef, mouseEvents, mouseUPP, OIS::Mouse::mState, mTempState, mWindowFocusHandler, mWindowFocusListener, OIS_EXCEPT, and WinFocusAcquired.

void MacMouse::_mouseCallback | ( | EventRef | theEvent | ) |

References OIS::MacInputManager::_getWindow(), OIS::MouseState::buttons, OIS::Object::mBuffered, OIS::Object::mCreator, OIS::Mouse::mListener, mMouseWarped, mNeedsToRegainFocus, OIS::MouseListener::mousePressed(), OIS::MouseListener::mouseReleased(), OIS::Mouse::mState, mTempState, OIS::Axis::rel, OIS::MouseState::X, OIS::MouseState::Y, and OIS::MouseState::Z.

void MacMouse::capture | ( |  | ) | `[virtual]`

Remarks:
  Used for updating call once per frame before checking state or to update events

Implements OIS::Object.

References OIS::Axis::abs, OIS::MouseState::clear(), OIS::MouseState::height, OIS::Object::mBuffered, OIS::Mouse::mListener, OIS::MouseListener::mouseMoved(), OIS::Mouse::mState, mTempState, OIS::Axis::rel, OIS::MouseState::width, OIS::MouseState::X, OIS::MouseState::Y, and OIS::MouseState::Z.

virtual Interface* OIS::MacMouse::queryInterface | ( | Interface::IType | type | ) | `[inline, virtual]`

Remarks:
  If available, get an interface to write to some devices. Examples include, turning on and off LEDs, ForceFeedback, etc

Parameters:

  | type | The type of interface you are looking for

Implements OIS::Object.

void MacMouse::setBuffered | ( | bool | buffered | ) | `[virtual]`

Remarks:
  Sets buffered mode

Implements OIS::Object.

References OIS::Object::mBuffered.

OSStatus MacMouse::WindowFocusChanged | ( | EventHandlerCallRef | nextHandler,
|  | EventRef | event,
|  | void * | macMouse |
| ) |  |  | `[static, protected]`

References OIS::E_General, mNeedsToRegainFocus, and OIS_EXCEPT.

Referenced by MacMouse().

## Member Data Documentation

bool OIS::MacMouse::mMouseWarped`[protected]`

Referenced by _initialize(), and _mouseCallback().

bool OIS::MacMouse::mNeedsToRegainFocus`[protected]`

Referenced by _initialize(), _mouseCallback(), and WindowFocusChanged().

EventHandlerRef OIS::MacMouse::mouseEventRef`[protected]`

Referenced by _initialize(), MacMouse(), and ~MacMouse().

EventHandlerUPP OIS::MacMouse::mouseUPP`[protected]`

Referenced by _initialize(), MacMouse(), and ~MacMouse().

MouseState OIS::MacMouse::mTempState`[protected]`

Referenced by _initialize(), _mouseCallback(), and capture().

EventHandlerRef OIS::MacMouse::mWindowFocusHandler`[protected]`

Referenced by _initialize(), MacMouse(), and ~MacMouse().

EventHandlerUPP OIS::MacMouse::mWindowFocusListener`[protected]`

Referenced by _initialize(), MacMouse(), and ~MacMouse().

The documentation for this class was generated from the following files:

- src/ois/mac/MacMouse.h
- src/ois/mac/MacMouse.cpp